<!--<button (click)="generatePdf()">Open PDF</button>-->
<section class="content" *ngIf="preApprovalDetail">
  <div class="container-fluid" style="font-size: 12px">
    <div class="row">
      <div class="col-sm-4">

      </div>
      <div class="col-sm-4">
        <h4 class="align-middle">BILL PAYMENT MEMORANDUM</h4>
        <div *ngIf="preApprovalDetail.referenceNumberBillPayment; else preApproval">
          <h4>{{preApprovalDetail.referenceNumberBillPayment}}</h4>
        </div>
        <div #preApproval>
          <h4>{{preApprovalDetail.referenceNumberPreApproval}}</h4>
        </div>
      </div>
      <div class="col-sm-4">
        <img src="assets/nic-asia-bank.png" style="padding-left: 192px;">
      </div>
    </div>
    <br>
    <table class="table table-bordered">
      <tr>
        <th style="width: 15%">To :</th>
        <td>HEAD-GAP/FINANCE</td>
        <td rowspan="2">{{preApprovalDetail.billPaymentRequestedByBranch?.name}}</td>
      </tr>
      <tr>
        <th style="width: 15%">From :</th>
        <td>GAP</td>
      </tr>
      <tr>
        <th style="width: 15%">Date :</th>
        <th *ngIf="preApprovalDetail.memoDateBillPayment; else preApprovalDate">
          {{preApprovalDetail.memoDateBillPayment | date: 'short'}}
        </th>
        <th  #preApprovalDate>
          {{preApprovalDetail.memoDatePreApproval | date: 'short'}}
        </th>
        <td rowspan="2">{{preApprovalDetail.billPaymentRequestedByBranch?.code}}</td>
      </tr>
      <tr>
        <th style="width: 15%">Subject :</th>
        <td>{{preApprovalDetail.memoSubject}}</td>
      </tr>
    </table>
    <table class="table table-bordered">
      <tr>
        <th style="width: 15%">Expense Detail :</th>
        <td>
          <div [innerHTML]="preApprovalDetail.memoDetail"></div>
        </td>
      </tr>
      <tr>
        <th style="width: 15%">Justification :</th>
        <td>
          <div [innerHTML]="preApprovalDetail.justification"></div>
        </td>
      </tr>
    </table>
    <h4 *ngIf="preApprovalDetail.paymentMode === 'NORMAL'">Transactional Detail</h4>
    <table class="table table-bordered" *ngIf="preApprovalDetail.paymentMode === 'NORMAL'">
      <thead>
      <tr>
        <th>S.N</th>
        <th>Credit Branch</th>
        <th>Account Head</th>
        <th>Amount</th>
        <th>TDS</th>
        <th>Payable</th>
        <th>Cr. Account</th>
        <th>Dr. Branch</th>
        <th>Description</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let detail of preApprovalDetail.expenditureTxnDetailResources; let i = index"
          [attr.data-index]="i">
        <td>{{i + 1}}</td>
        <td>{{detail.creditBranch?.name}}</td>
        <td>{{detail.accountHead}}</td>
        <td>{{detail.amount | currency: 'NPR. ' }}</td>
        <td>{{detail.tdsAmount | currency: 'NPR. '}}</td>
        <td>{{ (detail.amount - detail.tdsAmount) | currency: 'NPR. ' }}</td>
        <td>{{detail.creditAccount}}</td>
        <td>{{detail.debitBranch.name}}</td>
        <td>{{detail.expenseDescription}}</td>
      </tr>
      </tbody>
    </table>
    <table class="table" *ngIf="billDetail">
<!--      <tr>-->
<!--        <th style="width: 15%">Debit Head :</th>-->
<!--        <td>RASDFDS</td>-->
<!--        <th style="width: 15%">Branch :</th>-->
<!--        <td>RASDFDS</td>-->
<!--      </tr>-->
      <tr>
        <th style="width: 15%">Bill Form :</th>
        <td *ngIf="billDetail.vendorMiniResource">{{billDetail.vendorMiniResource?.name}}</td>
        <th style="width: 15%">Bill Date :</th>
        <td>{{billDetail.billingDate |  date: 'short' }}</td>
      </tr>
      <tr>
        <th style="width: 30%">Bill Amount (Rs) :</th>
        <td>{{billDetail.billAmount}}</td>
        <th style="width: 15%">Bill No :</th>
        <td>{{billDetail.billNumber}}</td>
      </tr>
      <tr>
        <th style="width: 30%">Amount in words :</th>
        <td>{{billDetail.billAmount | numberToWords }}</td>
      </tr>

<!--      <tr>-->
<!--        <th style="width: 30%">Less: TDS: 1.5%</th>-->
<!--        <td>{{billDetail.tdsAmount}}</td>-->
<!--      </tr>-->

      <tr>
        <th style="width: 30%">Net Payable: Rs.</th>
        <td *ngIf="totalPayableAmount">{{totalPayableAmount}}</td>
      </tr>
      <tr>
        <th style="width: 30%">Net Payable ( Words ) </th>
        <td *ngIf="totalPayableAmount">{{ totalPayableAmount | numberToWords }}</td>
      </tr>
    </table>
    <div *ngIf="preApprovalDetail.paymentMode === 'NORMAL'">
      <h4>Budget Detail</h4>
      <table class="table table-bordered" *ngFor="let detail of budgetDetail">
        <tbody>
        <tr>
          <th>Account Head</th>
          <td>{{detail.budgetAccountHead?.accountHead}}</td>
          <th>Main Code</th>
          <td>{{ detail.budgetAccountHead?.mainCode }}</td>
          <th>Branch Total Budget</th>
          <td>
            {{ detail.budgetAccountHead?.branchTotalBudget}}
          </td>
        </tr>
        <tr>
          <th>This Month Budget</th>
          <td>{{ detail.thisMonthBudget?.totalBudget }}</td>
          <th>This Month Expenses(Including this bill)</th>
          <td>{{ detail.thisMonthBudget?.totalExpense }}</td>
          <th>Budget Status</th>
          <td>
          <span [ngClass]=" getStatus(detail.thisMonthBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.thisMonthBudget) }}
          </span>
          </td>
        </tr>
        <tr>
          <th>Previous month budget</th>
          <td>{{ detail.previousMonthBudget?.totalBudget }}</td>
          <th>Previous month Expense</th>
          <td>{{ detail.previousMonthBudget?.totalExpense }}</td>
          <th>Growth Against Prev. Month</th>
          <td>
            {{getGrowth(detail) }}
          </td>
        </tr>
        <tr>
          <th>YTD Budget Branch</th>
          <td>{{ detail.ytdBudgetBranch?.totalBudget }}</td>
          <th>YTD Expense Branch (including this bill)</th>
          <td>{{ detail.ytdBudgetBranch.totalExpense }}</td>
          <th>Budget Status</th>
          <td>
          <span [ngClass]=" getStatus(detail.ytdBudgetBranch) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.ytdBudgetBranch) }}
          </span>
          </td>
        </tr>
        <tr>
          <th>Country This Month Budget</th>
          <td>{{detail.countryThisMonthBudget?.totalBudget }}</td>
          <th>Country This Month Expense</th>
          <td>{{ detail.countryThisMonthBudget?.totalExpense }}</td>
          <th>Budget Status</th>
          <td>
          <span
            [ngClass]=" getStatus(detail.countryThisMonthBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.countryThisMonthBudget) }}
          </span>
          </td>
        </tr>
        <tr>
          <th>Country YTD Budget</th>
          <td>{{ detail.countryYTDBudget?.totalBudget }}</td>
          <th>Country YTD Expense</th>
          <td>{{ detail.countryYTDBudget?.totalExpense }}</td>
          <th>Budget Status</th>
          <td>
          <span [ngClass]=" getStatus(detail.countryYTDBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.countryYTDBudget) }}
          </span>
          </td>
        </tr>
        <tr>
          <th>Country Total Budget</th>
          <td>{{ detail.countryTotalBudget?.totalBudget }}</td>
          <th>Remaining Budget Branch</th>
          <td>{{ detail.countryTotalBudget?.totalExpense }}</td>
          <th>Debit Branch</th>
          <td>{{ detail.budgetAccountHead?.debitBranch?.name + ' ( ' + detail.budgetAccountHead?.debitBranch?.name + ' )'}}</td>
        </tr>
        </tbody>
      </table>
    </div>
    <div *ngIf="paymentJournals.length > 0">
      <h4>Account Detail</h4>
      <table class="table table-bordered">
        <thead>
        <tr>
          <th>S.N</th>
          <th>Date</th>
          <th>Txn Id</th>
          <th>From Branch</th>
          <th>From A/c</th>
          <th>To A/c</th>
          <th>To Branch</th>
          <th>Amount</th>
          <th>Status</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let detail of paymentJournals;   let i = index"
            [attr.data-index]="i">
          <td>{{ i + 1}}</td>
          <td>{{ detail.transactionDate}}</td>
          <td>{{ detail.cbsTxnId}}</td>
          <td>{{ detail.fromBranch.name}}</td>
          <td>{{ detail.fromAccountId}}</td>
          <td>{{ detail.toAccountId}}</td>
          <td>{{ detail.toBranch.name}}</td>
          <td>{{ detail.amount}}</td>
          <td>{{ detail.status}}</td>
        </tr>

        </tbody>
      </table>
    </div>

    <div *ngIf="preApprovalRemarks.length > 0">
      <h4>Pre Approval Remarks</h4>
      <table class="table table-bordered">
        <thead>
        <tr>
          <th>S.N</th>
          <th>Commented Date</th>
          <th>Comment</th>
          <th>Commented For</th>
          <th>Commented By</th>
          <th>Status</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let detail of preApprovalRemarks;   let i = index"
            [attr.data-index]="i">
          <td>{{ i + 1}}</td>
          <td>{{ detail.commentedDate}}</td>
          <td>{{ detail.remarks}}</td>
          <td>{{ detail.commentedBy}}</td>
          <td>{{ detail.user?.fullName}}</td>
          <td>{{ detail.status}}</td>
        </tr>
        </tbody>
      </table>
    </div>


    <div *ngIf="BillPaymentRemarks.length > 0">
      <h4>Bill Payment Remarks</h4>
      <table class="table table-bordered">
        <thead>
        <tr>
          <th>S.N</th>
          <th>Commented Date</th>
          <th>Comment</th>
          <th>Commented For</th>
          <th>Commented By</th>
          <th>Status</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let detail of BillPaymentRemarks;   let i = index"
            [attr.data-index]="i">
          <td>{{ i + 1}}</td>
          <td>{{ detail.commentedDate}}</td>
          <td>{{ detail.remarks}}</td>
          <td>{{ detail.commentedBy}}</td>
          <td>{{ detail.user?.fullName}}</td>
          <td>{{ detail.status}}</td>
        </tr>
        </tbody>
      </table>
    </div>


<!--    <p>Instruction for Finance Department: </p>-->

    <div class="row card-group">
      <div class="col-4"
           *ngFor="let detail of preApprovalDetail.approvalDetail"
           style="text-align: center; margin-bottom: 0px">
        <br>
        <hr>
        <strong>{{ detail.userMiniResources.fullName }}</strong><br>
        <span>{{ detail.userMiniResources.designation }}<br>
          {{ detail.userMiniResources.branchName }}<br>
          Status: {{detail.status}}<br>
          Requested For: {{ detail.requestedFor }}
        </span>
      </div>
    </div>

  </div>

</section>

